summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorKnut Ahlers2018-12-28 12:34:31 +0100
committerKnut Ahlers2018-12-28 12:34:31 +0100
commit1c50955993631f14732fdb552aa5bf412a60996b (patch)
tree36ae244bb36f9b6b9d3ef632178f988fca5c7732
parent111e629f44b7b94261c87026a800926f5a35939b (diff)
downloadaur-1c50955993631f14732fdb552aa5bf412a60996b.tar.gz
Add auto-update script
Signed-off-by: Knut Ahlers <knut@ahlers.me>
-rwxr-xr-xupdate_version.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/update_version.sh b/update_version.sh
new file mode 100755
index 00000000000..c0f8f52df10
--- /dev/null
+++ b/update_version.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+set -euxo pipefail
+
+# Read pkg name
+PKG=$(awk -F '=' '/pkgname=/{ print $2 }' PKGBUILD)
+
+# Get latest version
+VER=$(curl -sSfL "https://lv.luzifer.io/catalog-api/dust/latest.txt?p=version")
+
+# Insert latest version into PKGBUILD
+sed -i \
+ -e "s/^pkgver=.*/pkgver=${VER}/" \
+ -e 's/pkgrel=.*/pkgrel=1/' \
+ PKGBUILD
+
+# Check whether this changed anything
+if (git diff --exit-code PKGBUILD); then
+ echo "Package ${PKG} has most recent version ${VER}"
+ exit 0
+fi
+
+# Update source hashes
+updpkgsums
+
+# Update .SRCINFO
+makepkg --printsrcinfo >.SRCINFO
+
+# Commit changes
+git add PKGBUILD .SRCINFO
+git commit -m "${PKG} v${VER}"